GET /sync
Summary: Execute synchronous query
Operation ID: syncQuery
Auth: unknown
Operation ID: syncQuery
Auth: unknown
Description
Execute an ADQL query synchronously and return results immediately. Supports queries on the basic table (astronomical objects), ident (identifiers), flux (magnitudes), and other measurement tables.
Parameters (4)
format
(string, query, optional, default: json)
Output format
Constraints: {'enum': ['json', 'csv', 'votable', 'fits']}
lang
(string, query, optional, default: ADQL)
Query language
Constraints: {'enum': ['ADQL']}
query
(string, query, optional)
ADQL query string. Example: SELECT TOP 10 main_id, ra, dec, otype FROM basic
request
(string, query, required)
Request type
Constraints: {'enum': ['doQuery', 'getCapabilities']}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Query Messier 31 (Andromeda Galaxy) in VOTable format | curl |
http://simbad.u-strasbg.fr/simbad/sim-tap/sync?query=SELECT+TOP+10+main_id%2C+ra%2C+dec%2C+otype+FROM+basic+WHERE+main_id%3D%27M+31%27&format=votable |
|
| Query bright stars with JSON output format | curl |
http://simbad.u-strasbg.fr/simbad/sim-tap/sync?query=SELECT+TOP+5+main_id%2C+ra%2C+dec%2C+flux_v+FROM+basic+WHERE+flux_v+%3C+2.0+AND+flux_v+%3E+0&format=json |
|
| Query galaxies with record limit | curl |
http://simbad.u-strasbg.fr/simbad/sim-tap/sync?query=SELECT+main_id%2C+ra%2C+dec%2C+otype+FROM+basic+WHERE+otype%3D%27G%27&format=csv&maxrec=20 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 09:26:04.220239 | 400 | 68ms | |
| 2026-03-23 09:23:32.153163 | 400 | 124ms | |
| 2026-03-23 09:11:52.936456 | 400 | 129ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:23:32.153163 | b87258dad744 |
20dec67c09a1 |
| 2026-03-23 09:26:04.220239 | 20dec67c09a1 |
0a3324f34926 |